| Disk ARchive 2.5.10 Full featured and portable backup and archiving tool

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
libdar::cat_etoile Class Reference
Private

the hard link implementation (etoile means star in French, seen a star as a point from which are thrown many ray of light) More...

`#include <cat_etoile.hpp>`

Inherits libdar::on_pool.

## Public Member Functions
| cat_etoile (cat_inode *host, const infinint &etiquette_number)
| build an object More...
| cat_etoile (const cat_etoile &ref)
const cat_etoile & | operator= (const cat_etoile &ref)
void | add_ref (void *ref)
void | drop_ref (void *ref)
infinint | get_ref_count () const
cat_inode * | get_inode () const
infinint | get_etiquette () const
void | change_etiquette (const infinint &new_val)
bool | is_counted () const
bool | is_wrote () const
bool | is_dumped () const
void | set_counted (bool val)
void | set_wrote (bool val)
void | set_dumped (bool val)
const void * | get_first_ref () const
Public Member Functions inherited from libdar::on_pool
void * | operator new (size_t n_byte)
void * | operator new (size_t n_byte, const std::nothrow_t &nothrow_value)
void * | operator new[] (size_t n_byte)
void * | operator new[] (size_t n_byte, const std::nothrow_t &nothrow_value)
void * | operator new (size_t n_byte, memory_pool *p)
void * | operator new[] (size_t n_byte, memory_pool *p)
void | operator delete (void *ptr, memory_pool *p)
| this operator is called by the compiler if an exception is throw from the constructor of the allocated object
void | operator delete[] (void *ptr, memory_pool *p)
| this operator is called by the compiler if an exception is throw from the constructor of the allocated objects
void | operator delete (void *ptr)
| this is the usual delete operator, modified to handle allocated objects allocated on a memory pool or not
void | operator delete[] (void *ptr)
| this is the usual delete[] operator, modified to handle allocated objects allocated on a memory pool or not

## Additional Inherited Members
Protected Member Functions inherited from libdar::on_pool
memory_pool * | get_pool () const
template<class T >
void | meta_new (T *&ptr, size_t num)
template<class T >
void | meta_delete (T *ptr)

## Detailed Description

the hard link implementation (etoile means star in French, seen a star as a point from which are thrown many ray of light)

Definition at line 46 of file cat_etoile.hpp.

## Constructor & Destructor Documentation

libdar::cat_etoile::cat_etoile | ( | cat_inode * | host,
|  | const infinint & | etiquette_number
| ) |  |

build an object

Parameters

  [in] | host | is an inode, it must not be a directory (this would throw an Erange exception)
  [in] | etiquette_number | is the identifier of this multiply linked structure

Note
  the given cat_inode is now managed by the cat_etoile object

The documentation for this class was generated from the following file:

- cat_etoile.hpp